petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCGAMGSetType

Set solution method

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGSetType(PC pc, PCGAMGType type)

Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| type | - PCGAMGAGG, PCGAMGGEO, or PCGAMGCLASSICAL Many br

### Options Database Key

-pc_gamg_type <agg,geo,classical> - Many br Many br

### See Also

PCGAMGGetType(), PCGAMG

Level:intermediate
Location:src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages